<?php
//*************************************************************
//
// Edition d'un utilisateur
//
// Projet      : Chaton
// Version     : 1.6.0
// Date        : 5 mai 2006
//
//*************************************************************

    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/database.php");
    require_once( "inc/log.php");
    require_once( "inc/users.php");
    require_once( "inc/salons.php");
    require_once( "inc/nocache.php");
    require_once( "inc/langue.php");
    require_once( "inc/fuseaux.php");

    // Formulaire
    $modifiable = false;
    $modifiable_admin = false;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<title>Edition d'un utilisateur</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="<?php echo( TEMPLATE_DIR . TEMPLATE . '/'); ?>css/style.css" type="text/css">
</head>

<body>
<?php
    if (!defined( "BASE_UTILISATEURS_EXTERNE") or (BASE_UTILISATEURS_EXTERNE == false)) {
        chat_open();
        if (($chat_base) and ($user_id)) {
            ChargeUtilisateur( $chat_cookie);

            // Charge le module de langue associ au script courant
            if (file_exists( "lang/$chat_lang/admin_editer.php")) {
                include( "lang/$chat_lang/admin_editer.php");
            }

            $requete = mysql_query( "select login,nom,prenom,sexe,DATE_FORMAT(naissance, '%d/%m/%Y') as naissance,priv,nb_cnx_chat,email,pays,fuseau,bio,nom_site,url_site,last_ip,DATE_FORMAT(creation, '%d/%m/%Y') as creation from $table_base_utilisateur where id='$user_id'", $chat_base);
            if (($requete) and (mysql_num_rows( $requete) == 1)) {
                $login = mysql_result( $requete, 0, "login");
                $nom = mysql_result( $requete, 0, "nom");
                $prenom = mysql_result( $requete, 0, "prenom");
                $sexe = mysql_result( $requete, 0, "sexe");
                $naissance = mysql_result( $requete, 0, "naissance");
                $priv = mysql_result( $requete, 0, "priv");
                $nb_cnx = mysql_result( $requete, 0, "nb_cnx_chat");
                $email = mysql_result( $requete, 0, "email");
                $pays = mysql_result( $requete, 0, "pays");
                $fuseau = mysql_result( $requete, 0, "fuseau");
                $bio = mysql_result( $requete, 0, "bio");
                $nom_site = mysql_result( $requete, 0, "nom_site");
                $url_site = mysql_result( $requete, 0, "url_site");
                $last_ip = mysql_result( $requete, 0, "last_ip");
                $creation = mysql_result( $requete, 0, "creation");

                $bio_affichable = str_replace( "\n", "<br>", $bio);

                switch ($priv) {
                    case PRIV_ADMINISTRATEUR:
                        $nom_statut = $langue["admin"];
                        break;
                    case PRIV_OPERATEUR:
                        $nom_statut = $langue["ope"];
                        break;
                    case PRIV_ANIMATEUR:
                        $nom_statut = $langue["anim"];
                        break;
                    case PRIV_UTILISATEUR:
                        $nom_statut = $langue["utilisateur"];
                        break;
                    default:
                        $nom_statut = $langue["sansacces"];
                }
                switch ($sexe) {
                    case 1:
                        $nom_sexe = $langue["homme"];
                        break;
                    case 2:
                        $nom_sexe = $langue["femme"];
                        break;
                    default:
                        $nom_sexe = $langue["inconnu"];
                }
                // Formulaire de modification
                if ($chat_priv == PRIV_ADMINISTRATEUR) {
                    $modifiable = true;
                }
                if ( (($chat_priv >= PRIV_OPERATEUR) and ($priv <= PRIV_OPERATEUR)) or ($chat_priv == PRIV_ADMINISTRATEUR) ) {
                    // Oprateur d'un statut suprieur, ou admin
                    $modifiable_admin = true;
                }

?>
<?php if (($modifiable) or ($modifiable_admin)) { ?>
<form name="formulaire" method="POST" action="admin_action.php">
<input type="hidden" name="user_id" value="<?php echo( $user_id); ?>">
<input type="hidden" name="oldpriv" value="<?php echo( $priv); ?>">
<input type="hidden" name="lettre" value="<?php echo( $lettre); ?>">
<?php } ?>
<table border="0" width="100%" height="100%" align="center" cellpadding="2" cellspacing="2">
  <tr>
    <td>&nbsp;</td>
    <td colspan="2" align="center" nowrap class="titre"><?php echo( $langue["infos"]); ?></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td colspan="2" align="center">&nbsp;<b><?php if (isset($message)) echo( $message); ?></b></td>
    <td>&nbsp;</td>
  </tr>
  <?php if (isset($login)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["login"]); ?>
      :</td>
    <td><strong><?php echo( $login); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($nom)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["nom"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <input type="text" size="30" name="nouveau_nom" value="<?php echo( StripSlashes( $nom)); ?>">
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $nom)); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($prenom)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["prenom"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <input type="text" size="30" name="nouveau_prenom" value="<?php echo( StripSlashes( $prenom)); ?>">
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $prenom)); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($email)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["email"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <input type="text" size="30" name="nouveau_email" value="<?php echo( StripSlashes( $email)); ?>">
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $email)); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($pays)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["pays"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <input type="text" size="30" name="nouveau_pays" value="<?php echo( StripSlashes( $pays)); ?>">
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $pays)); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($fuseau)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["fuseau"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <select name="nouveau_fuseau">
      <?php    foreach( $fuseaux_horaires as $cle => $valeur) {
                echo( "<option value=\"$cle\"");
                if ($cle == $fuseau) echo( " selected");
                echo( ">{$valeur[1]}</option>\n");
            }
      ?>
      </select>
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $fuseaux_horaires[$fuseau][1])); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($bio)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td valign="top"><?php echo( $langue["bio"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <textarea cols="30" rows="3" name="nouveau_bio"><?php echo(StripSlashes( $bio)); ?></textarea>
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $bio_affichable)); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($url_site)) {
         if ($modifiable) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["nom_site"]); ?> :</td>
    <td><input type="text" size="30" name="nouveau_nom_site" value="<?php echo( StripSlashes( $nom_site)); ?>"></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["url_site"]); ?> :</td>
    <td><input type="text" size="30" name="nouveau_url_site" value="<?php echo( StripSlashes( $url_site)); ?>"></td>
    <td>&nbsp;</td>
  </tr>
  <?php     } else { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["site"]); ?> :</td>
    <td><strong><?php echo( "<a href=\"$url_site\" target=\"_blank\">" . StripSlashes( $nom_site) ."</a>"); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php    }
     } if (isset($nom_sexe)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["sexe"]); ?>
      :</td>
    <td><strong><?php echo( $nom_sexe); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($naissance)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["naissance"]); ?> :</td>
    <td><strong><?php echo( $naissance); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($creation)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["creation"]); ?> :</td>
    <td><strong><?php echo( $creation); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($nb_cnx)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["nb_cnx"]); ?>
      :</td>
    <td><strong><?php echo( $nb_cnx); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($nom_cnx)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["connexion"]); ?>
      :</td>
    <td><strong><?php echo( $nom_cnx); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($last_ip)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["ip"]); ?>
      :</td>
    <td><strong><?php echo( $last_ip); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if ($modifiable_admin) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["statut"]); ?>
      :</td>
    <td><select name="newpriv">
    <?php
        echo( "<option value=\"0\""); if ($priv == PRIV_SANS_ACCES) echo( " selected"); echo( ">" . $langue["sansacces"] . "</option>\n");
        echo( "<option value=\"1\""); if ($priv == PRIV_UTILISATEUR) echo( " selected"); echo( ">" . $langue["utilisateur"] . "</option>\n");
        echo( "<option value=\"4\""); if ($priv == PRIV_ANIMATEUR) echo( " selected"); echo( ">" . $langue["anim"] . "</option>\n");
        echo( "<option value=\"5\""); if ($priv == PRIV_OPERATEUR) echo( " selected"); echo( ">" . $langue["ope"] . "</option>\n");
        if ($chat_priv == PRIV_ADMINISTRATEUR) {
            echo( "<option value=\"" . PRIV_ADMINISTRATEUR . "\""); if ($priv == PRIV_ADMINISTRATEUR) echo( " selected"); echo( ">" . $langue["admin"] . "</option>\n");
        }
    ?></select></td>
    <td>&nbsp;</td>
  </tr>
  <?php } elseif (isset($nom_statut)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["statut"]); ?>
      :</td>
    <td><strong><?php echo( $nom_statut); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } ?>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <?php if (($modifiable) or ($modifiable_admin)) { ?>
  <tr>
    <td colspan="4" align="center"><input type="submit" value="<?php echo( $langue["valider"]); ?>"></td>
  </tr>
  <tr>
    <td colspan="4">&nbsp;</td>
  </tr>
  <?php } ?>
  <tr align="right">
    <td colspan="4"><a href="admin.php?lettre=<?php echo( $lettre); ?>">Revenir &agrave; la liste des utilisateurs</a></td>
  </tr>
</table>
<?php if (($modifiable) or ($modifiable_admin)) { ?>
</form>
<?php } ?>
<?php
            } else {  // Rsultat non trouv
                Header( "Location: admin.php?lettre=$lettre");
            }
        } else {
            // Base de donnees impossible a ouvrir
            Header( "Location: admin.php?lettre=$lettre");
        }
        chat_close();
    }
?>
</body>
</html>