<?php
//*************************************************************
//
// Slection des couleurs
//
//  Traduction : Ok
//
// Projet      : Chaton
// Version     : 1.6.0
// Date        : 5 mai 2006
//
//*************************************************************

    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/langue.php");
    require_once( "inc/html.php");
    require_once( "inc/nocache.php");

    define( 'CL_NOIR', 0);
    define( 'CL_BLANC', 16777215);

    // Charge le module de langue associ au script courant
    if (file_exists( "lang/$lang/colors.php")) {
        include( "lang/$lang/colors.php");
    }

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title><?php echo( $langue["titre"]); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo( CHARSET); ?>">
<link rel="stylesheet" href="<?php echo( TEMPLATE_DIR . TEMPLATE . '/'); ?>css/style.css" type="text/css">
<script type="text/javascript" language="JavaScript">

// Script de palette de couleurs, d'aprs le script original de Matt Kruse <matt@mattkruse.com> (http://www.mattkruse.com/)

var currentValue = "<?php if (isset($color) and ($color <> '') and (hexdec($color) >= CL_NOIR) and (hexdec($color) <= CL_BLANC)) { printf( '#%06s', $color); } else { echo( '#FFFFFF'); } ?>";

function ColorPicker_pickColor(new_color) {
    window.opener.couleur( new_color);
    // Si vous voulez que le script ferme la fentre aprs la slection de couleur, dcommentez cette ligne :
    // window.close();
}

// This function runs when you move your mouse over a color block, if you have a newer browser
function ColorPicker_highlightColor(c) {
    var thedoc = (arguments.length>1)?arguments[1]:window.document;
    var d = thedoc.getElementById("colorPickerSelectedColor");
    d.style.backgroundColor = c;
    d = thedoc.getElementById("colorPickerSelectedColorValue");
    d.innerHTML = c;
}

function ColorPicker() {

	// Code to populate color picker window
	var colors = new Array("#000000","#000033","#000066","#000099","#0000CC","#0000FF","#330000","#330033","#330066","#330099","#3300CC",
							"#3300FF","#660000","#660033","#660066","#660099","#6600CC","#6600FF","#990000","#990033","#990066","#990099",
							"#9900CC","#9900FF","#CC0000","#CC0033","#CC0066","#CC0099","#CC00CC","#CC00FF","#FF0000","#FF0033","#FF0066",
							"#FF0099","#FF00CC","#FF00FF","#003300","#003333","#003366","#003399","#0033CC","#0033FF","#333300","#333333",
							"#333366","#333399","#3333CC","#3333FF","#663300","#663333","#663366","#663399","#6633CC","#6633FF","#993300",
							"#993333","#993366","#993399","#9933CC","#9933FF","#CC3300","#CC3333","#CC3366","#CC3399","#CC33CC","#CC33FF",
							"#FF3300","#FF3333","#FF3366","#FF3399","#FF33CC","#FF33FF","#006600","#006633","#006666","#006699","#0066CC",
							"#0066FF","#336600","#336633","#336666","#336699","#3366CC","#3366FF","#666600","#666633","#666666","#666699",
							"#6666CC","#6666FF","#996600","#996633","#996666","#996699","#9966CC","#9966FF","#CC6600","#CC6633","#CC6666",
							"#CC6699","#CC66CC","#CC66FF","#FF6600","#FF6633","#FF6666","#FF6699","#FF66CC","#FF66FF","#009900","#009933",
							"#009966","#009999","#0099CC","#0099FF","#339900","#339933","#339966","#339999","#3399CC","#3399FF","#669900",
							"#669933","#669966","#669999","#6699CC","#6699FF","#999900","#999933","#999966","#999999","#9999CC","#9999FF",
							"#CC9900","#CC9933","#CC9966","#CC9999","#CC99CC","#CC99FF","#FF9900","#FF9933","#FF9966","#FF9999","#FF99CC",
							"#FF99FF","#00CC00","#00CC33","#00CC66","#00CC99","#00CCCC","#00CCFF","#33CC00","#33CC33","#33CC66","#33CC99",
							"#33CCCC","#33CCFF","#66CC00","#66CC33","#66CC66","#66CC99","#66CCCC","#66CCFF","#99CC00","#99CC33","#99CC66",
							"#99CC99","#99CCCC","#99CCFF","#CCCC00","#CCCC33","#CCCC66","#CCCC99","#CCCCCC","#CCCCFF","#FFCC00","#FFCC33",
							"#FFCC66","#FFCC99","#FFCCCC","#FFCCFF","#00FF00","#00FF33","#00FF66","#00FF99","#00FFCC","#00FFFF","#33FF00",
							"#33FF33","#33FF66","#33FF99","#33FFCC","#33FFFF","#66FF00","#66FF33","#66FF66","#66FF99","#66FFCC","#66FFFF",
							"#99FF00","#99FF33","#99FF66","#99FF99","#99FFCC","#99FFFF","#CCFF00","#CCFF33","#CCFF66","#CCFF99","#CCFFCC",
							"#CCFFFF","#FFFF00","#FFFF33","#FFFF66","#FFFF99","#FFFFCC","#FFFFFF");
	var total = colors.length;
	var width = 18;
	var cp_contents = "";
	cp_contents += "<TABLE BORDER=1 CELLSPACING=1 CELLPADDING=0>";
	var use_highlight = (document.getElementById)?true:false;
	for (var i=0; i<total; i++) {
		if ((i % width) == 0) { cp_contents += "<TR>"; }
		if (use_highlight) { var mo = 'onMouseOver="ColorPicker_highlightColor(\''+colors[i]+'\')"'; }
		else { mo = ""; }
		cp_contents += '<TD BGCOLOR="'+colors[i]+'"><FONT SIZE="-3"><A HREF="#" onClick="ColorPicker_pickColor(\''+colors[i]+'\');return false;" '+mo+' STYLE="text-decoration:none;">&nbsp;&nbsp;&nbsp;</A></FONT></TD>';
		if ( ((i+1)>=total) || (((i+1) % width) == 0)) { 
			cp_contents += "</TR>";
		}
	}
	// If the browser supports dynamically changing TD cells, add the fancy stuff
	if (use_highlight) {
		var width1 = Math.floor(width/2);
		var width2 = width = width1;
		cp_contents += "<TR><TD COLSPAN='"+width1+"' BGCOLOR='"+currentValue+"' ID='colorPickerSelectedColor'>&nbsp;</TD><TD COLSPAN='"+width2+"' ALIGN='CENTER' ID='colorPickerSelectedColorValue'>"+currentValue+"</TD></TR>";
	}
	cp_contents += "</TABLE>";
	// end populate code

    document.writeln( cp_contents);
}

</script>
</head>

<body onLoad="window.focus();">
<table width="300" height="370" border="0" cellspacing="0" cellpadding="4" align="center">
<tr><td height="20" class="titre"><?php echo( $langue["titre"]); ?></td></tr>
<tr><td height="20"><hr></td></tr>
<tr><td align="center">
<script type="text/javascript" language="JavaScript">ColorPicker();</script>
<br>
<a href="javascript:ColorPicker_pickColor('originale');"><?php echo( $langue["annuler"]); ?></a>
</td></tr>
<tr><td height="20"><hr></td></tr>
<tr><td height="20" align="right">
<a href="javascript:window.close();"><?php echo( $langue["fermer"]); ?></a>
</td></tr>
</table>
</html>
