<?php
//*************************************************************
//
// Gestionnaire d'extensions de base utilisateurs
//
// Projet      : Chaton
// Version     : 1.6.0
// Date        : 5 mai 2006
//
//*************************************************************

if (defined( "BASE_UTILISATEURS_EXTERNE") and (BASE_UTILISATEURS_EXTERNE == true)) {

    $extension_courante = strtolower( MODULE_UTILISATEURS_EXTERNE);

    if ($extension_courante == 'spip') {
        // Cas particulier pour SPIP
        if (file_exists( "inc/ext/spip.php")) {
            include( "inc/ext/spip.php");
        } elseif (file_exists( "inc/spip.php")) {
            define( "SPIP_UTILISATEURS", true);
            include( "inc/spip.php");
        } elseif (file_exists( "inc/spip.inc")) {
            define( "SPIP_UTILISATEURS", true);
            include( "inc/spip.inc");
        } elseif (file_exists( "inc/ext/spip.php-orig")) {
            include( "inc/ext/spip.php-orig");
        } elseif (file_exists( "inc/spip.php-orig")) {
            define( "SPIP_UTILISATEURS", true);
            include( "inc/spip.php-orig");
        }
        $table_utilisateurs_extension = $spip_table_auteurs;
    } else {
        if (file_exists( "inc/ext/$extension_courante.php")) {
            include( "inc/ext/$extension_courante.php");
        } elseif (file_exists( "inc/ext/$extension_courante.php-orig")) {
            include( "inc/ext/$extension_courante.php-orig");
        }
    }


} // defined

?>