<?php
//*************************************************************
//
// Qui est connect ?
//
// Appel sans argument, ce script affiche la liste complte
// des utilisateurs
//
//  Traduction : Ok
//
// Projet      : Chaton
// Version     : 1.6.1
// Date        : 8 novembre 2006
//
//*************************************************************

    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/langue.php");
    require_once( "inc/database.php");
    require_once( "inc/log.php");
    require_once( "inc/users.php");
    require_once( "inc/salons.php");
    require_once( "inc/nocache.php");
    require_once( "inc/menage.php");

    function AffichePseudo( $cur_pseudo, $cur_oqp, $cur_etat) {
        Global $langue, $lang;

        if ($cur_oqp == 1) {
            $image = "petit_oqp";
            $alt = " alt=\"" . $langue["absent"] . "\"";
        } elseif ($cur_oqp <> "") {
            $image = "petit_oqp";
            $alt = " alt=\"$cur_oqp\"";
        } else {
            $image = "m$cur_etat";
            $alt = "";
        }

        echo( "<tr><td nowrap>");
        if (defined( "ICONES_HUMEUR") and (ICONES_HUMEUR == true)) echo( "&nbsp;<img src=smilies/$image.gif width=15 height=15 border=0$alt>");
        echo( "&nbsp;$cur_pseudo</td></tr>\n");
    }


//*************************************************************
// Programme principal
//*************************************************************


    if (isset($salon)) {
        $salon = ValideNom( $salon);
        $nomsalon = NomSalonPublic( $salon);
        if ($nomsalon == '') $nomsalon = $salon;
    }

    // Charge le module de langue associ au script courant
    if (file_exists( "lang/$lang/qui.php")) {
        include( "lang/$lang/qui.php");
    }

    // Renouvelle la page toutes les minutes
    Header( "Refresh: 60");

    chat_open();
    if ($chat_base) {
        // Supprime ventuellement les utilisateurs qui ont quitt le chat
        Menage( $chat_base, $table_utilisateur);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title><?php echo( $langue["titre"]); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo( CHARSET); ?>">
<link rel="stylesheet" href="<?php echo( TEMPLATE_DIR . TEMPLATE . '/'); ?>css/style.css" type="text/css">
</head>

<body>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center" class="titre">
    <?php echo( $langue["titre"]); if (isset($nomsalon)) echo( " " . $langue["du_salon"] . " " . $nomsalon); ?>
    </td>
  </tr>
  <tr><td>&nbsp;</td></tr>
<?php
        if (!isset($salon)) {
            // Liste complete
            $requete = mysql_query( "SELECT $table_utilisateur.login,$table_utilisateur.oqp,$table_utilisateur.etat,$table_salle.nom as salle,$table_salle.nombre from $table_utilisateur,$table_salle WHERE $table_utilisateur.sid=$table_salle.id AND $table_utilisateur.hide='0' ORDER BY salle,login");
            if ($requete) {
                if (mysql_num_rows( $requete) > 0) {
                    $ancienne_salle = '';
                    for( $i=0; $i<mysql_num_rows( $requete); $i++) {
                        $cur_pseudo = mysql_result( $requete, $i, "login");
                        $cur_oqp = mysql_result( $requete, $i, "oqp");
                        $cur_etat = mysql_result( $requete, $i, "etat");
                        $cur_salle = mysql_result( $requete, $i, "salle");
                        $cur_nombresalle = mysql_result( $requete, $i, "nombre");
                        if ($ancienne_salle <> $cur_salle) {
                            // Affichage de la salle
                            $ancienne_salle = $cur_salle;
                            $nomsalle = NomSalonPublic( $cur_salle);
                            if ($nomsalle == '') $nomsalle = $cur_salle;
                            echo( "<tr><td>&nbsp;</td></tr>\n<tr><td nowrap><b>" . $langue["salon"] . " $nomsalle</b> ($cur_nombresalle)<hr></td></tr>\n");
                        }
                        AffichePseudo( $cur_pseudo, $cur_oqp, $cur_etat);
                    }
                }
            }
        } else {
            // Utilisateurs du salon demande
            $requete = mysql_query( "SELECT $table_utilisateur.login,$table_utilisateur.oqp,$table_utilisateur.etat FROM $table_utilisateur,$table_salle WHERE $table_utilisateur.sid=$table_salle.id and $table_salle.nom='$salon' and $table_utilisateur.hide='0' ORDER BY login");
            if ($requete) {
                if (mysql_num_rows( $requete) > 0) {
                    for( $i=0; $i<mysql_num_rows( $requete); $i++) {
                        $cur_pseudo = mysql_result( $requete, $i, "login");
                        $cur_oqp = mysql_result( $requete, $i, "oqp");
                        $cur_etat = mysql_result( $requete, $i, "etat");
                        AffichePseudo( $cur_pseudo, $cur_oqp, $cur_etat);
                    }
                } else {
                    echo( "<tr><td nowrap><i>" . $langue["personne"] . "</i></td></tr>\n");
                }
            }
        }
?>
  <tr><td>&nbsp;</td></tr>
  <tr><td align="center"><a href="javascript:window.close()"><?php echo( $langue["fermer"]); ?></a></td></tr>
</table>
</body>
</html>
<?php
    } else {
        // Base de donnees impossible a ouvrir
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title><?php echo( $langue["titre"]); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo( CHARSET); ?>">
<link rel="stylesheet" href="<?php echo( TEMPLATE_DIR . TEMPLATE . '/'); ?>css/style.css" type="text/css">
</head>
<body>
<b><?php echo( $langue["titre"]); ?></b>
<hr>
<?php echo( $langue["database_error"]); ?><br><br>
<a href="JavaScript:window.close();"><?php echo( $langue["fermer"]); ?></a>
</body>
</html>
<?php
    }
    chat_close();
?>