<?php
//*************************************************************
//
// Modification de la configuration gnrale
//
// Projet      : Chaton
// Version     : 1.6.3
// Date        : 8 avril 2007
//
//*************************************************************

    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/database.php");
    require_once( "inc/log.php");
    require_once( "inc/users.php");
    require_once( "inc/nocache.php");
    require_once( "inc/langue.php");
    require_once( "inc/env.php");

    $max_salon = intval( $max_salon);
    $max_taille_message = intval( $max_taille_message);
    $nouveau_taux_rafraichissement = intval( $nouveau_taux_rafraichissement);
    $temps_inactivite = intval( $temps_inactivite);

    chat_open();
    if ($chat_base) {
        if (ChargeUtilisateur( $chat_cookie)) {
            if ($chat_priv == PRIV_ADMINISTRATEUR) {
                $fichier_source = fopen( './inc/chat.php', 'r');
                if ($fichier_source) {
                    $buffer = fread( $fichier_source, filesize( './inc/chat.php'));
                    fclose( $fichier_source);

                    if ( ($max_salon > 2) and ($max_salon < 999) ) {
                        $buffer = ereg_replace( 'define\( "MAX_SALON",[^\)]*\);', 'define( "MAX_SALON", "' . $max_salon . '");', $buffer);
                    }
                    if ( ($max_taille_message > 10) and ($max_taille_message < 65535) ) {
                        $buffer = ereg_replace( 'define\( "MAX_TAILLE_MESSAGE",[^\)]*\);', 'define( "MAX_TAILLE_MESSAGE", "' . $max_taille_message . '");', $buffer);
                    }
                    /* 
                    if (strspn( $largeur_bandeau_gauche, "0123456789%") == strlen( $largeur_bandeau_gauche)) {
                        $buffer = ereg_replace( 'define\( "LARGEUR_BANDEAU_GAUCHE",[^\)]*\);', 'define( "LARGEUR_BANDEAU_GAUCHE", "' . $largeur_bandeau_gauche . '");', $buffer);
                    }
                    if (strspn( $hauteur_bandeau_haut, "0123456789%") == strlen( $hauteur_bandeau_haut)) {
                        $buffer = ereg_replace( 'define\( "HAUTEUR_BANDEAU_HAUT",[^\)]*\);', 'define( "HAUTEUR_BANDEAU_HAUT", "' . $hauteur_bandeau_haut . '");', $buffer);
                    }
                    if (strspn( $hauteur_bandeau_bas, "0123456789%") == strlen( $hauteur_bandeau_bas)) {
                        $buffer = ereg_replace( 'define\( "HAUTEUR_BANDEAU_BAS",[^\)]*\);', 'define( "HAUTEUR_BANDEAU_BAS", "' . $hauteur_bandeau_bas . '");', $buffer);
                    }
                    */

                    if ( ($temps_inactivite >= 0) and ($temps_inactivite <= 99) ) {
                        $buffer = ereg_replace( 'define\( "TEMPS_INACTIVITE",[^\)]*\);', 'define( "TEMPS_INACTIVITE", ' . $temps_inactivite . ');', $buffer);
                    }

                    if (isset($icones_humeur) and ($icones_humeur)) {
                        $icones_humeur = "true";
                    } else {
                        $icones_humeur = "false";
                    }
                    $buffer = ereg_replace( 'define\( "ICONES_HUMEUR",[^\)]*\);', 'define( "ICONES_HUMEUR", ' . $icones_humeur . ');', $buffer);

                    if (isset($detection_images) and ($detection_images)) {
                        $detection_images = "true";
                    } else {
                        $detection_images = "false";
                    }
                    $buffer = ereg_replace( 'define\( "DETECTION_IMAGES",[^\)]*\);', 'define( "DETECTION_IMAGES", ' . $detection_images . ');', $buffer);

                    if (isset($autoriser_images_anonyme) and ($autoriser_images_anonyme)) {
                        $autoriser_images_anonyme = "true";
                    } else {
                        $autoriser_images_anonyme = "false";
                    }
                    $buffer = ereg_replace( 'define\( "AUTORISER_IMAGES_ANONYME",[^\)]*\);', 'define( "AUTORISER_IMAGES_ANONYME", ' . $autoriser_images_anonyme . ');', $buffer);

                    if (isset($autoriser_couleurs_anonyme) and ($autoriser_couleurs_anonyme)) {
                        $autoriser_couleurs_anonyme = "true";
                    } else {
                        $autoriser_couleurs_anonyme = "false";
                    }
                    $buffer = ereg_replace( 'define\( "AUTORISER_COULEURS_ANONYME",[^\)]*\);', 'define( "AUTORISER_COULEURS_ANONYME", ' . $autoriser_couleurs_anonyme . ');', $buffer);

                    if (isset($afficher_salles_vides) and ($afficher_salles_vides)) {
                        $afficher_salles_vides = "true";
                    } else {
                        $afficher_salles_vides = "false";
                    }
                    $buffer = ereg_replace( 'define\( "AFFICHER_SALLES_VIDES",[^\)]*\);', 'define( "AFFICHER_SALLES_VIDES", ' . $afficher_salles_vides . ');', $buffer);

                    if (isset($archiver_discussions) and ($archiver_discussions)) {
                        $archiver_discussions = "true";
                    } else {
                        $archiver_discussions = "false";
                    }
                    $buffer = ereg_replace( 'define\( "ARCHIVER_DISCUSSIONS",[^\)]*\);', 'define( "ARCHIVER_DISCUSSIONS", ' . $archiver_discussions . ');', $buffer);

                    if (isset($censurer) and ($censurer)) {
                        $censurer = "true";
                    } else {
                        $censurer = "false";
                    }
                    $buffer = ereg_replace( 'define\( "CENSURER",[^\)]*\);', 'define( "CENSURER", ' . $censurer . ');', $buffer);

                    if (isset($anti_flooding) and ($anti_flooding)) {
                        $anti_flooding = "true";
                    } else {
                        $anti_flooding = "false";
                    }
                    $buffer = ereg_replace( 'define\( "ANTI_FLOODING",[^\)]*\);', 'define( "ANTI_FLOODING", ' . $anti_flooding . ');', $buffer);

                    if (isset($multilangue) and ($multilangue)) {
                        $multilangue = "true";
                    } else {
                        $multilangue = "false";
                    }
                    $buffer = ereg_replace( 'define\( "MULTILANGUE",[^\)]*\);', 'define( "MULTILANGUE", ' . $multilangue . ');', $buffer);

                    if ( ($langue_par_defaut >= 0) and ($langue_par_defaut <= 2) ) {
                        $buffer = ereg_replace( 'define\( "LANGUE_PAR_DEFAUT",[^\)]*\);', 'define( "LANGUE_PAR_DEFAUT", \'' . $langue_par_defaut . '\');', $buffer);
                    }

                    if ( ($nouveau_taux_rafraichissement >= 1) and ($nouveau_taux_rafraichissement <= 60) ) {
                        $buffer = ereg_replace( '\$taux_rafraichissement = [0-9]+;', '$taux_rafraichissement = ' . $nouveau_taux_rafraichissement . ';', $buffer);
                    }

                    if ( trim( $nouveau_mot_de_passe_admin) ) {
                        $buffer = ereg_replace( 'define\( "MOT_DE_PASSE_ADMIN",[^\)]*\);', 'define( "MOT_DE_PASSE_ADMIN", \'' . @crypt( '*' . $nouveau_mot_de_passe_admin, CLE_CHIFFRAGE) . '\');', $buffer);
                    }

                    // Fichier de sortie
                    $fichier_sortie = @fopen( './inc/chat.php', 'w');
                    if ($fichier_sortie) {
                        @fwrite( $fichier_sortie, $buffer);
                        fclose( $fichier_sortie);
                    }
                }
                Header( "Location: admin.php?cmd=config");
            } else {
                Header( "Location: admin.php");
            }
        } else {
            Header( "Location: admin.php");
        }
    } else {
        Header( "Location: admin.php?cmd=config");
    }
    chat_close();
?>
