<?php
//*************************************************************
//
// Affichage de la liste des animateurs du CHAT
//
//  Traduction : Ok
//
// Projet      : Chaton
// Version     : 1.6.0
// Date        : 5 mai 2006
//
//*************************************************************

    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/langue.php");
    require_once( "inc/database.php");
    require_once( "inc/log.php");
    require_once( "inc/externe.php");
    require_once( "inc/users.php");
    require_once( "inc/salons.php");
    require_once( "inc/nocache.php");

    // Charge le module de langue associ au script courant
    if (file_exists( "lang/$lang/animateurs.php")) {
        include( "lang/$lang/animateurs.php");
    }

    chat_open();
    if (ChargeUtilisateur( $chat_cookie)) {

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title><?php echo( $langue["titre"]); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo( CHARSET); ?>">
<link rel="stylesheet" href="<?php echo( TEMPLATE_DIR . TEMPLATE . '/'); ?>css/style.css" type="text/css">
</head>

<body onLoad="window.focus();">
<br>
<table width="90%" border="0" cellspacing="0" cellpadding="4" align="center">
<tr><td class="titre"><?php echo( $langue["titre"]); ?></td></tr>
<tr><td><hr></td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td>
<table width="100%" border="0" cellspacing="1" cellpadding="2">
<?php
        if (defined( "BASE_UTILISATEURS_EXTERNE") and (BASE_UTILISATEURS_EXTERNE == true)) {
            $table_animateurs = ListeAnimateursExterne();
            if ($table_animateurs) {
                echo( "<tr class=\"row_first\">");
                echo( "<td><b>" . $langue["pseudo"] . "</b></td>");
                echo( "<td><b>" . $langue["nom"] . "</b></td>");
                echo( "<td><b>" . $langue["rang"] . "</b></td></tr>\n");
                $numero_ligne = 0;
                foreach( $table_animateurs as $row) {
                    echo( "<tr class=\"row_" . ($numero_ligne++ % 2 ? 'odd' : 'even') . "\">\n");
                    echo( "<td>" . $row["login"] . "</td>\n");
                    echo( "<td>" . $row["nom"] . "</td>\n");
                    echo( "<td>" );
                    switch( $row["priv"]) {
                        case PRIV_ANIMATEUR : echo( $langue["anim"]); break;
                        case PRIV_OPERATEUR : echo( $langue["ope"]); break;
                        case PRIV_ADMINISTRATEUR : echo( $langue["admin"]); break;
                        default : echo( $row["statut"]);
                    }
                    echo( "</td>\n");
                    echo( "</tr>\n");
                }
            }
        } else {
            $requete = mysql_query( "SELECT login,priv FROM $table_base_utilisateur WHERE priv>='3' ORDER BY priv desc,login asc", $chat_base);
            if ($requete) {
                if (mysql_num_rows( $requete) > 0) {
                    echo( "<tr class=\"row_first\">");
                    echo( "<td><b>" . $langue["pseudo"] . "</b></td>");
                    echo( "<td><b>" . $langue["rang"] . "</b></td></tr>\n");
                    $numero_ligne = 0;
                    for ($i=0; $i<mysql_num_rows( $requete); $i++) {
                        $row = mysql_fetch_array( $requete);
                        echo( "<tr class=\"row_" . ($numero_ligne++ % 2 ? 'odd' : 'even') . "\">\n");
                        echo( "<td>" . $row["login"] . "</td>\n");
                        echo( "<td>" );
                        switch( $row["priv"]) {
                            case PRIV_ANIMATEUR : echo( $langue["anim"]); break;
                            case PRIV_OPERATEUR : echo( $langue["ope"]); break;
                            case PRIV_ADMINISTRATEUR : echo( $langue["admin"]); break;
                        }
                        echo( "</td>\n");
                        echo( "</tr>\n");
                    }
                }
            }
        }
?>
</table>
</td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td><hr></td></tr>
<tr><td align="right">
<a href="javascript:window.close();"><?php echo( $langue["fermer"]); ?></a>
</td></tr>
</table>
</body>
</html>
<?php
    }
    chat_close();
?>